Xcode 6.2/6.3 插件失效的临时解决方案

2015/06/10 20:33
阅读数 36

对还没有支持Xcode 6.2的插件有效,Alcatraz 的新版已经支持。

  • 进入到插件目录 ~/Library/Application Support/Developer/Shared/Xcode/Plugins

  • 显示插件的包内容

  • 编辑Info.plist文件

  • 展开DVTPlugInCompatibilityUUIDs

  • 添加一个新的item:A16FF353-8441-459E-A50C-B071F53F51B7

对于Xcode 6.3,使用这个UUID:9F75337B-21B4-4ADC-B558-F9CADF7073A7

其实就是/Applications/Xcode.app/Contents/Info 里边的DVTPlugInCompatibilityUUID

Xcode6.3插件失效解决办法

       升级完Xcode6.3突然间发现之前安装的所有插件都不生效了,费了九牛二虎之力找到了解决办法。。。


     1.打开终端,输入以下代码获取到DVTPlugInCompatibilityUUID

        defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

   2.然后输入如下命令   【最后一项是获取到的DVTPlugInCompatibilityUUID

     find ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins -name Info.plist -maxdepth 3 | xargs -I{} defaults write {} DVTPlugInCompatibilityUUIDs -array-add 9F75337B-21B4-4ADC-B558-F9CADF7073A7

   以上命令如下图所示:

   


   最后重启Xcode即可生效。。。。。。。。。



补充:根据好多人反应,升级Xcode6.3.1使用以上方法,不生效,经个人验证,如果实在不生效,可以采取如下办法:将如下网址的链接中的工程下载下来分别运行,重启Xcode即可。。。。

那些不能错过的Xcode插件http://www.cocoachina.com/industry/20130918/7022.html


展开阅读全文
打赏
0
3 收藏
分享
加载中
更多评论
打赏
0 评论
3 收藏
0
分享
返回顶部
顶部